Bug 107847 - eclipse RPMs are generated even if the build didn't succeed
eclipse RPMs are generated even if the build didn't succeed
Status: CLOSED NEXTRELEASE
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: eclipse-bugs
eclipse-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-23 14:53 EDT by Diego Novillo
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-10 15:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Diego Novillo 2003-10-23 14:53:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030807

Description of problem:

When building eclipse from its SRPM, the build will continue even in the
presence of compilation errors.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install an eclipse SRPM.
2. Set GCJ to a faulty compiler
2. run rpmbuild -ba eclipse.spec

    

Actual Results:  
The build proceeds and an rpm is built.

Expected Results:  
The build should stop.

Additional info:
Comment 1 Tom Tromey 2003-11-10 15:41:51 EST
I've checked in a fix for this.

Note You need to log in before you can comment on or make changes to this bug.